Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.mif
Interface MIFGraphic

All Known Implementing Classes:
  MIFPoint, MIFText

public interface MIFGraphic

Interface that defines behavior specific to OMGraphics that are specific to primitves created from MapInfo MIF files

Author:
  Simon Bowen

Method Summary
`float` | `getVisibleScale()`
`void` | `setVisibleScale(float visibleScale)` sets the scale at which the graphic becomes visible, if set to -1 the graphic is viaible at all scale levels.

Method Detail

### setVisibleScale

    public void setVisibleScale(float visibleScale)

  sets the scale at which the graphic becomes visible, if set to -1 the graphic is viaible at all scale levels.

  Parameters:
    `visibleScale` -

### getVisibleScale

    public float getVisibleScale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details